Skip to main content
After a ceremony finishes (completed, declined, or failed), SignatureAPI redirects the recipient to the redirect_url you defined on the ceremony object. SignatureAPI appends the following query parameters to the URL: For example, if redirect_url is https://www.example.com, a successful ceremony redirects to: https://www.example.com/?ceremony_result=ceremony.completed&envelope_id=5b7be28c-6c7c-4aaa-b25f-66879e8d0957&recipient_id=re_0sgQC0cejYRC8wRsT5N9ll Use these query parameters to process the ceremony result in your application.

Redirect delay

By default, the redirect happens 3 seconds after the ceremony finishes. Set the redirect_delay property to change this.
Set redirect_delay to 0 for an immediate redirect. The maximum value is 20 seconds. For embedded ceremonies, redirect_delay controls the delay before emitting ceremony.completed, ceremony.declined, or ceremony.failed Ceremony Events.
Embedded ceremonies ignore the redirect_url and do not navigate away. Use Ceremony Events to handle the outcome in embedded flows.